<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Riferimenti per il file statistiche.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li><a href="annotated.html"><span>Classi</span></a></li>
      <li class="current"><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>Elenco&#160;dei&#160;file</span></a></li>
      <li><a href="globals.html"><span>Elementi&#160;dei&#160;file</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Composti</a> &#124;
<a href="#func-members">Funzioni</a> &#124;
<a href="#var-members">Variabili</a>  </div>
  <div class="headertitle">
<div class="title">Riferimenti per il file statistiche.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
</div>
<p><a href="statistiche_8h_source.html">Vai al codice sorgente di questo file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Composti</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structstatistiche.html">statistiche</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Struttura dati che immagazina tutte le statistiche della partita corrente.  <a href="structstatistiche.html#details">Continua...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhighscore.html">highscore</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Struttura dati che associa un nome di 3 caratteri ad un punteggio numerico intero.  <a href="structhighscore.html#details">Continua...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Funzioni</h2></td></tr>
<tr class="memitem:a823ed108e4cc32d5dd80d277b41e2bea"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structstatistiche.html">statistiche</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="statistiche_8h.html#a823ed108e4cc32d5dd80d277b41e2bea">inizializza_statistiche</a> ()</td></tr>
<tr class="memdesc:a823ed108e4cc32d5dd80d277b41e2bea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che inizializza a 0 tutti i contatori delle statistiche.  <a href="#a823ed108e4cc32d5dd80d277b41e2bea">Continua...</a><br /></td></tr>
<tr class="separator:a823ed108e4cc32d5dd80d277b41e2bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd6d49725b8460672aadc8f440f421b0"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="statistiche_8h.html#acd6d49725b8460672aadc8f440f421b0">stats</a> (<a class="el" href="structstatistiche.html">statistiche</a> <a class="el" href="main_8cc.html#aaf37f3a2ad02610bb8b0ed4b392e2bb2">stat</a>, int i)</td></tr>
<tr class="memdesc:acd6d49725b8460672aadc8f440f421b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che ritorna la statistica richiesta in base al codice fornito come parametro di input.  <a href="#acd6d49725b8460672aadc8f440f421b0">Continua...</a><br /></td></tr>
<tr class="separator:acd6d49725b8460672aadc8f440f421b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad236a3603dc2bdc69df10f23c824c8ca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="statistiche_8h.html#ad236a3603dc2bdc69df10f23c824c8ca">calcola_punteggio</a> (<a class="el" href="structstatistiche.html">statistiche</a> &amp;<a class="el" href="main_8cc.html#aaf37f3a2ad02610bb8b0ed4b392e2bb2">stat</a>)</td></tr>
<tr class="memdesc:ad236a3603dc2bdc69df10f23c824c8ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che calcola il punteggio finale in base a: numero di nemici eliminati, tempo di gioco e tipo di danni ricevuti.  <a href="#ad236a3603dc2bdc69df10f23c824c8ca">Continua...</a><br /></td></tr>
<tr class="separator:ad236a3603dc2bdc69df10f23c824c8ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variabili</h2></td></tr>
<tr class="memitem:ab699c5418751c7e07d456b0b41d81340"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="statistiche_8h.html#ab699c5418751c7e07d456b0b41d81340">PT_PER_ELM</a> = 200</td></tr>
<tr class="separator:ab699c5418751c7e07d456b0b41d81340"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93ac190ed55154d83c882373e6059bc0"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="statistiche_8h.html#a93ac190ed55154d83c882373e6059bc0">PT_PER_SEC</a> = 50</td></tr>
<tr class="separator:a93ac190ed55154d83c882373e6059bc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a1ee7f47e1e83dd72420064092dd4d1"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="statistiche_8h.html#a2a1ee7f47e1e83dd72420064092dd4d1">PT_PER_DAN_CMP</a> = 20</td></tr>
<tr class="separator:a2a1ee7f47e1e83dd72420064092dd4d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8175e354373623d9ea06872b170622ff"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="statistiche_8h.html#a8175e354373623d9ea06872b170622ff">PT_PER_DAN_SPD</a> = 75</td></tr>
<tr class="separator:a8175e354373623d9ea06872b170622ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080f3bba812871943624869e72b6eba9"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="statistiche_8h.html#a080f3bba812871943624869e72b6eba9">PT_PER_DAN_OGG</a> = 125</td></tr>
<tr class="separator:a080f3bba812871943624869e72b6eba9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentazione delle funzioni</h2>
<a class="anchor" id="ad236a3603dc2bdc69df10f23c824c8ca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void calcola_punteggio </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structstatistiche.html">statistiche</a> &amp;&#160;</td>
          <td class="paramname"><em>stat</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che calcola il punteggio finale in base a: numero di nemici eliminati, tempo di gioco e tipo di danni ricevuti. </p>
<div class="fragment"><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;{</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    stat.<a class="code" href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">punteggio</a> = 0;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    stat.<a class="code" href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">punteggio</a> += stat.<a class="code" href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">nemici_eliminati</a>                     * <a class="code" href="statistiche_8h.html#ab699c5418751c7e07d456b0b41d81340">PT_PER_ELM</a>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    stat.<a class="code" href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">punteggio</a> += stat.<a class="code" href="structstatistiche.html#ab1357a9488fd9dace31dff1907c960d2">danni_ricevuti_cmp</a>                   * <a class="code" href="statistiche_8h.html#a2a1ee7f47e1e83dd72420064092dd4d1">PT_PER_DAN_CMP</a>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    stat.<a class="code" href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">punteggio</a> += stat.<a class="code" href="structstatistiche.html#a309caf93c87718649c3eebee8adc66b6">danni_ricevuti_spada</a>                 * <a class="code" href="statistiche_8h.html#a8175e354373623d9ea06872b170622ff">PT_PER_DAN_SPD</a>;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    stat.<a class="code" href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">punteggio</a> += <span class="keyword">static_cast&lt;</span><span class="keywordtype">int</span><span class="keyword">&gt;</span>(stat.<a class="code" href="structstatistiche.html#aebf2b65461b1761e3ac9524c637ea41a">durata_partita</a>+1)   * <a class="code" href="statistiche_8h.html#a93ac190ed55154d83c882373e6059bc0">PT_PER_SEC</a>;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;}</div><div class="ttc" id="structstatistiche_html_a309caf93c87718649c3eebee8adc66b6"><div class="ttname"><a href="structstatistiche.html#a309caf93c87718649c3eebee8adc66b6">statistiche::danni_ricevuti_spada</a></div><div class="ttdeci">int danni_ricevuti_spada</div><div class="ttdoc">Danni ricevuti da armi ravvicinate. </div><div class="ttdef"><b>Definition:</b> statistiche.h:24</div></div>
<div class="ttc" id="statistiche_8h_html_a8175e354373623d9ea06872b170622ff"><div class="ttname"><a href="statistiche_8h.html#a8175e354373623d9ea06872b170622ff">PT_PER_DAN_SPD</a></div><div class="ttdeci">const int PT_PER_DAN_SPD</div><div class="ttdef"><b>Definition:</b> statistiche.h:12</div></div>
<div class="ttc" id="structstatistiche_html_aebf2b65461b1761e3ac9524c637ea41a"><div class="ttname"><a href="structstatistiche.html#aebf2b65461b1761e3ac9524c637ea41a">statistiche::durata_partita</a></div><div class="ttdeci">double durata_partita</div><div class="ttdoc">Durata in secondi della partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:22</div></div>
<div class="ttc" id="statistiche_8h_html_a93ac190ed55154d83c882373e6059bc0"><div class="ttname"><a href="statistiche_8h.html#a93ac190ed55154d83c882373e6059bc0">PT_PER_SEC</a></div><div class="ttdeci">const int PT_PER_SEC</div><div class="ttdef"><b>Definition:</b> statistiche.h:10</div></div>
<div class="ttc" id="statistiche_8h_html_a2a1ee7f47e1e83dd72420064092dd4d1"><div class="ttname"><a href="statistiche_8h.html#a2a1ee7f47e1e83dd72420064092dd4d1">PT_PER_DAN_CMP</a></div><div class="ttdeci">const int PT_PER_DAN_CMP</div><div class="ttdef"><b>Definition:</b> statistiche.h:11</div></div>
<div class="ttc" id="structstatistiche_html_a2de1de9b2da0b094a4188d2cdbe77d50"><div class="ttname"><a href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">statistiche::nemici_eliminati</a></div><div class="ttdeci">int nemici_eliminati</div><div class="ttdoc">Numero di nemici eliminati durante la partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:20</div></div>
<div class="ttc" id="statistiche_8h_html_ab699c5418751c7e07d456b0b41d81340"><div class="ttname"><a href="statistiche_8h.html#ab699c5418751c7e07d456b0b41d81340">PT_PER_ELM</a></div><div class="ttdeci">const int PT_PER_ELM</div><div class="ttdef"><b>Definition:</b> statistiche.h:9</div></div>
<div class="ttc" id="structstatistiche_html_ab1357a9488fd9dace31dff1907c960d2"><div class="ttname"><a href="structstatistiche.html#ab1357a9488fd9dace31dff1907c960d2">statistiche::danni_ricevuti_cmp</a></div><div class="ttdeci">int danni_ricevuti_cmp</div><div class="ttdoc">Danni ricevuti da compenetrazione con nemici. </div><div class="ttdef"><b>Definition:</b> statistiche.h:23</div></div>
<div class="ttc" id="structstatistiche_html_abff9b472410ee57cb919d991957b38a7"><div class="ttname"><a href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">statistiche::punteggio</a></div><div class="ttdeci">int punteggio</div><div class="ttdoc">Punteggio calcolato alla fine della partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:25</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a823ed108e4cc32d5dd80d277b41e2bea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structstatistiche.html">statistiche</a> inizializza_statistiche </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che inizializza a 0 tutti i contatori delle statistiche. </p>
<div class="fragment"><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;{</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;    <a class="code" href="structstatistiche.html">statistiche</a> ret;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;    ret.<a class="code" href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">nemici_eliminati</a> = 0;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;    ret.<a class="code" href="structstatistiche.html#a73f487a7b9831e40ba32868eaca4771f">oggetti_lanciati_pg</a> = 0;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    ret.<a class="code" href="structstatistiche.html#aebf2b65461b1761e3ac9524c637ea41a">durata_partita</a> = 0;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    ret.<a class="code" href="structstatistiche.html#ab1357a9488fd9dace31dff1907c960d2">danni_ricevuti_cmp</a> = 0;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    ret.<a class="code" href="structstatistiche.html#a309caf93c87718649c3eebee8adc66b6">danni_ricevuti_spada</a> = 0;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    <span class="keywordflow">return</span> ret;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;}</div><div class="ttc" id="structstatistiche_html_a309caf93c87718649c3eebee8adc66b6"><div class="ttname"><a href="structstatistiche.html#a309caf93c87718649c3eebee8adc66b6">statistiche::danni_ricevuti_spada</a></div><div class="ttdeci">int danni_ricevuti_spada</div><div class="ttdoc">Danni ricevuti da armi ravvicinate. </div><div class="ttdef"><b>Definition:</b> statistiche.h:24</div></div>
<div class="ttc" id="structstatistiche_html"><div class="ttname"><a href="structstatistiche.html">statistiche</a></div><div class="ttdoc">Struttura dati che immagazina tutte le statistiche della partita corrente. </div><div class="ttdef"><b>Definition:</b> statistiche.h:18</div></div>
<div class="ttc" id="structstatistiche_html_aebf2b65461b1761e3ac9524c637ea41a"><div class="ttname"><a href="structstatistiche.html#aebf2b65461b1761e3ac9524c637ea41a">statistiche::durata_partita</a></div><div class="ttdeci">double durata_partita</div><div class="ttdoc">Durata in secondi della partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:22</div></div>
<div class="ttc" id="structstatistiche_html_a73f487a7b9831e40ba32868eaca4771f"><div class="ttname"><a href="structstatistiche.html#a73f487a7b9831e40ba32868eaca4771f">statistiche::oggetti_lanciati_pg</a></div><div class="ttdeci">int oggetti_lanciati_pg</div><div class="ttdoc">Numero di oggetti lanciati dal personaggio durante la partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:21</div></div>
<div class="ttc" id="structstatistiche_html_a2de1de9b2da0b094a4188d2cdbe77d50"><div class="ttname"><a href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">statistiche::nemici_eliminati</a></div><div class="ttdeci">int nemici_eliminati</div><div class="ttdoc">Numero di nemici eliminati durante la partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:20</div></div>
<div class="ttc" id="structstatistiche_html_ab1357a9488fd9dace31dff1907c960d2"><div class="ttname"><a href="structstatistiche.html#ab1357a9488fd9dace31dff1907c960d2">statistiche::danni_ricevuti_cmp</a></div><div class="ttdeci">int danni_ricevuti_cmp</div><div class="ttdoc">Danni ricevuti da compenetrazione con nemici. </div><div class="ttdef"><b>Definition:</b> statistiche.h:23</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="acd6d49725b8460672aadc8f440f421b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double stats </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structstatistiche.html">statistiche</a>&#160;</td>
          <td class="paramname"><em>stat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>i</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che ritorna la statistica richiesta in base al codice fornito come parametro di input. </p>
<div class="fragment"><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keywordflow">switch</span>(i)</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="keywordflow">case</span> 0:</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">static_cast&lt;</span><span class="keywordtype">double</span><span class="keyword">&gt;</span>(stat.<a class="code" href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">nemici_eliminati</a>);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="keywordflow">case</span> 1:</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">static_cast&lt;</span><span class="keywordtype">double</span><span class="keyword">&gt;</span>(stat.<a class="code" href="structstatistiche.html#a73f487a7b9831e40ba32868eaca4771f">oggetti_lanciati_pg</a>);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keywordflow">case</span> 2:</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;            <span class="keywordflow">return</span> stat.<a class="code" href="structstatistiche.html#aebf2b65461b1761e3ac9524c637ea41a">durata_partita</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="keywordflow">case</span> 3:</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">static_cast&lt;</span><span class="keywordtype">double</span><span class="keyword">&gt;</span>(stat.<a class="code" href="structstatistiche.html#ab1357a9488fd9dace31dff1907c960d2">danni_ricevuti_cmp</a>);</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="keywordflow">case</span> 4:</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">static_cast&lt;</span><span class="keywordtype">double</span><span class="keyword">&gt;</span>(stat.<a class="code" href="structstatistiche.html#a309caf93c87718649c3eebee8adc66b6">danni_ricevuti_spada</a>);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keywordflow">case</span> 5:</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">static_cast&lt;</span><span class="keywordtype">double</span><span class="keyword">&gt;</span>(stat.<a class="code" href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">punteggio</a>);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        </div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        <span class="keywordflow">default</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;            <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    }</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;}</div><div class="ttc" id="structstatistiche_html_a309caf93c87718649c3eebee8adc66b6"><div class="ttname"><a href="structstatistiche.html#a309caf93c87718649c3eebee8adc66b6">statistiche::danni_ricevuti_spada</a></div><div class="ttdeci">int danni_ricevuti_spada</div><div class="ttdoc">Danni ricevuti da armi ravvicinate. </div><div class="ttdef"><b>Definition:</b> statistiche.h:24</div></div>
<div class="ttc" id="structstatistiche_html_aebf2b65461b1761e3ac9524c637ea41a"><div class="ttname"><a href="structstatistiche.html#aebf2b65461b1761e3ac9524c637ea41a">statistiche::durata_partita</a></div><div class="ttdeci">double durata_partita</div><div class="ttdoc">Durata in secondi della partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:22</div></div>
<div class="ttc" id="structstatistiche_html_a73f487a7b9831e40ba32868eaca4771f"><div class="ttname"><a href="structstatistiche.html#a73f487a7b9831e40ba32868eaca4771f">statistiche::oggetti_lanciati_pg</a></div><div class="ttdeci">int oggetti_lanciati_pg</div><div class="ttdoc">Numero di oggetti lanciati dal personaggio durante la partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:21</div></div>
<div class="ttc" id="structstatistiche_html_a2de1de9b2da0b094a4188d2cdbe77d50"><div class="ttname"><a href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">statistiche::nemici_eliminati</a></div><div class="ttdeci">int nemici_eliminati</div><div class="ttdoc">Numero di nemici eliminati durante la partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:20</div></div>
<div class="ttc" id="structstatistiche_html_ab1357a9488fd9dace31dff1907c960d2"><div class="ttname"><a href="structstatistiche.html#ab1357a9488fd9dace31dff1907c960d2">statistiche::danni_ricevuti_cmp</a></div><div class="ttdeci">int danni_ricevuti_cmp</div><div class="ttdoc">Danni ricevuti da compenetrazione con nemici. </div><div class="ttdef"><b>Definition:</b> statistiche.h:23</div></div>
<div class="ttc" id="structstatistiche_html_abff9b472410ee57cb919d991957b38a7"><div class="ttname"><a href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">statistiche::punteggio</a></div><div class="ttdeci">int punteggio</div><div class="ttdoc">Punteggio calcolato alla fine della partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:25</div></div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Documentazione delle variabili</h2>
<a class="anchor" id="a2a1ee7f47e1e83dd72420064092dd4d1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int PT_PER_DAN_CMP = 20</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a080f3bba812871943624869e72b6eba9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int PT_PER_DAN_OGG = 125</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8175e354373623d9ea06872b170622ff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int PT_PER_DAN_SPD = 75</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ab699c5418751c7e07d456b0b41d81340"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int PT_PER_ELM = 200</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a93ac190ed55154d83c882373e6059bc0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int PT_PER_SEC = 50</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
